#include "stm32f1xx_hal.h"
#include "stdbool.h"
#include "string.h"

#define RX_UART_BUFFER_SIZE					1024//2048 //1024

void driverHWUART2Init(uint32_t baudRate);
void driverHWUART2SendChar(uint8_t character);
bool driverHWUART2GetChar(char *character);

extern uint8_t driverHWUART2ReceiveBuffer[RX_UART_BUFFER_SIZE];
extern uint8_t driverHWUART2ReceiveBuffer_usb[RX_UART_BUFFER_SIZE];
extern uint32_t driverHWUART2Receive_CNDTR;
extern uint8_t driverHWUART2Receive_CNDTR_resetFlag;
